Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 481268 - =dev-perl/Set-Object-1.310.0: please stabilize (WAS:dev-perl/Set-Object-1.290.0 fails tests)
Summary: =dev-perl/Set-Object-1.310.0: please stabilize (WAS:dev-perl/Set-Object-1.290...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: perl-testfailure
  Show dependency tree
 
Reported: 2013-08-16 08:41 UTC by Patrick Lauer
Modified: 2013-12-24 18:42 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Lauer gentoo-dev 2013-08-16 08:41:30 UTC
>>> Source compiled.
make -j4 test TEST_VERBOSE=0 
PERL_DL_NONLAZY=1 /usr/bin/perl5.16.3 "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/ingy/arrayref.t t/misc/leaks.t t/misc/pod.t t/misc/pod_coverage.t t/misc/undef.t t/object/abuse.t t/object/clear.t t/object/difference.t t/object/equal.t t/object/flags.t t/object/includes.t t/object/insert.t t/object/intersection.t t/object/members.t t/object/properties.t t/object/refcount.t t/object/remove.t t/object/set_subclass.t t/object/storable.t t/object/subsuper.t t/object/symmetric_difference.t t/object/union.t t/object/weakref.t t/scalar/basic.t t/scalar/basic_overload.t t/scalar/boolean.t t/scalar/clear.t t/scalar/compare.t t/scalar/custom_display.t t/scalar/difference.t t/scalar/each.t t/scalar/has.t t/scalar/intersection.t t/scalar/member.t t/scalar/misc.t t/scalar/set_set.t t/scalar/storable.t t/scalar/symmdiff.t t/scalar/union.t t/scalar/unique.t
t/ingy/arrayref.t ................ ok     
t/misc/leaks.t ................... ok   
t/misc/pod.t ..................... ok   
t/misc/pod_coverage.t ............ ok   
t/misc/undef.t ................... ok   
t/object/abuse.t ................. ok     
t/object/clear.t ................. ok   
t/object/difference.t ............ ok   
t/object/equal.t ................. ok   
t/object/flags.t ................. ok   
t/object/includes.t .............. ok   
t/object/insert.t ................ ok     
t/object/intersection.t .......... ok   
t/object/members.t ............... ok   
t/object/properties.t ............ ok     
t/object/refcount.t .............. ok   
t/object/remove.t ................ ok   
t/object/set_subclass.t .......... ok   
t/object/storable.t .............. ok   
t/object/subsuper.t .............. ok     
t/object/symmetric_difference.t .. ok   
t/object/union.t ................. 1/10 Attempt to free unreferenced scalar: SV 0x21b0f88 during global destruction.
Attempt to free unreferenced scalar: SV 0x21b0fa0 during global destruction.
DESTROY created new reference to dead object 'Set::Object::Weak' during global destruction.
t/object/union.t ................. Dubious, test returned 22 (wstat 5632, 0x1600)
All 10 subtests passed 
t/object/weakref.t ............... ok    
t/scalar/basic.t ................. ok     
t/scalar/basic_overload.t ........ ok     
t/scalar/boolean.t ............... ok   
t/scalar/clear.t ................. ok   
t/scalar/compare.t ............... ok     
t/scalar/custom_display.t ........ ok   
t/scalar/difference.t ............ ok     
t/scalar/each.t .................. skipped: TO-DO
t/scalar/has.t ................... ok   
t/scalar/intersection.t .......... ok     
t/scalar/member.t ................ ok   
t/scalar/misc.t .................. ok   
t/scalar/set_set.t ............... ok   
t/scalar/storable.t .............. ok   
t/scalar/symmdiff.t .............. ok     
t/scalar/union.t ................. ok     
t/scalar/unique.t ................ ok   

Test Summary Report
-------------------
t/object/union.t               (Wstat: 5632 Tests: 10 Failed: 0)
  Non-zero exit status: 22
Files=40, Tests=453,  2 wallclock secs ( 0.35 usr  0.07 sys +  0.96 cusr  0.14 csys =  1.52 CPU)
Result: FAIL
Failed 1/40 test programs. 0/453 subtests failed.
make: *** [test_dynamic] Error 255
 * ERROR: dev-perl/Set-Object-1.290.0::gentoo failed (test phase):
 *   emake failed

Portage 2.2.0 (default/linux/amd64/13.0/desktop/kde, gcc-4.8.1, glibc-2.17, 3.10.5-gentoo x86_64)
=================================================================
System uname: Linux-3.10.5-gentoo-x86_64-AMD_Phenom-tm-_II_X4_965_Processor-with-gentoo-2.2
KiB Mem:     7920972 total,    868832 free
KiB Swap:   25165812 total,  24830960 free
Timestamp of tree: Unknown
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.5-r1, 3.2.5-r1, 3.3.2-r1
dev-util/cmake:           2.8.11.1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.12.6, 1.14
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.8.1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo kde
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/overlay"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli compat consolekit cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif fam firefox flac fontconfig fortran gdbm gif gpm gtk gudev hwdb iconv ipv6 jpeg kde kipi lcms ldap libnotify mad minizip mmx mng modules mp3 mp4 mpeg mssql mudflap multilib mysql ncurses nls nptl odbc ogg opengl openmp pam pango pcre pdf plasma png policykit ppds python qt3support qt4 readline script sdl semantic-desktop session spell sql sqlite sse sse2 ssl startup-notification svg tcpd threads tiff tk truetype udev udisks unicode upower usb vlc vorbis webkit wxwidgets x264 xcb xcomposite xinerama xml xscreensaver xv xvfb xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby20" USERLAND="GNU" VIDEO_CARDS="vesa radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 1 Kent Fredric (IRC: kent\n) gentoo-dev 2013-12-23 17:23:40 UTC
This bug is resolved in 1.310.0  ( ~arch )
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-12-24 14:39:23 UTC
I think we can mark it stable.
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-12-24 18:42:53 UTC
amd64/x86 stable, closed.